> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/api/api-endpoints/program/api-program-cc-redirect.md).

# /api/program/cc‑redirect

## GET /api/program/cc-redirect

> get CC BIN redirect

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/program/cc-redirect"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"get_program_cc-redirect":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["program_bin_redirect_id"]}}},"paths":{"/api/program/cc-redirect":{"get":{"description":"get CC BIN redirect","tags":["/api/program/cc-redirect"],"parameters":[{"name":"program_bin_redirect_id","in":"query","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/get_program_cc-redirect"}},"application/json":{"schema":{"$ref":"#/components/schemas/get_program_cc-redirect"}},"application/xml":{"schema":{"$ref":"#/components/schemas/get_program_cc-redirect"}}}}}}}}}
```

## POST /api/program/cc-redirect

> Add new program cc bin redirect

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/program/cc-redirect"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"post_program_cc-redirect":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["programid","cc_bin","new_programid"]}}},"paths":{"/api/program/cc-redirect":{"post":{"description":"Add new program cc bin redirect","tags":["/api/program/cc-redirect"],"parameters":[{"name":"programid","in":"query","schema":{"type":"integer"},"required":true},{"name":"cc_bin","in":"query","schema":{"type":"string"},"required":true},{"name":"new_programid","in":"query","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/post_program_cc-redirect"}},"application/json":{"schema":{"$ref":"#/components/schemas/post_program_cc-redirect"}},"application/xml":{"schema":{"$ref":"#/components/schemas/post_program_cc-redirect"}}}}}}}}}
```

## DELETE /api/program/cc-redirect

> Disable program cc bin redirect

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/program/cc-redirect"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"delete_program_cc-redirect":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["program_bin_redirect_id"]}}},"paths":{"/api/program/cc-redirect":{"delete":{"description":"Disable program cc bin redirect","tags":["/api/program/cc-redirect"],"parameters":[{"name":"program_bin_redirect_id","in":"query","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/delete_program_cc-redirect"}},"application/json":{"schema":{"$ref":"#/components/schemas/delete_program_cc-redirect"}},"application/xml":{"schema":{"$ref":"#/components/schemas/delete_program_cc-redirect"}}}}}}}}}
```

## PATCH /api/program/cc-redirect

> Edit program cc bin redirect

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/program/cc-redirect"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"patch_program_cc-redirect":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["program_bin_redirect_id"]}}},"paths":{"/api/program/cc-redirect":{"patch":{"description":"Edit program cc bin redirect","tags":["/api/program/cc-redirect"],"parameters":[{"name":"program_bin_redirect_id","in":"query","schema":{"type":"integer"},"required":true},{"name":"cc_bin","in":"query","schema":{"type":"string"},"required":false},{"name":"new_programid","in":"query","schema":{"type":"integer"},"required":false}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/patch_program_cc-redirect"}},"application/json":{"schema":{"$ref":"#/components/schemas/patch_program_cc-redirect"}},"application/xml":{"schema":{"$ref":"#/components/schemas/patch_program_cc-redirect"}}}}}}}}}
```
